Subject: Re: bootstrap stuffs

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 15 Feb 1999 19:20:22 +0100

On Mon, Feb 15, 1999, David Edelsohn <[email-masked]> wrote:

>	As Gabriel correctly explained, a "sync" instruction may be
>necessary before interrupts are enabled if some off-chip operation, like
>modifying an interrupt controller on the bus, was performed.  That is
>because of the bus operations which need to complete before interrupts can
>be enabled, not because of the enabling itself.

Yep, I knew this case, the sync after switching them OFF was just a
paranoid move on my part. Thanks for the tips.

-- 
           E-Mail: <mailto:[email-masked]>
BenH.      Web   : <http://calvaweb.calvacom.fr/bh40/>

[[ This message was sent via the linuxppc-dev mailing list. Replies are ]]
[[ not forced back to the list, so be sure to  Cc linuxppc-dev  if your ]]
[[ reply is of general interest. To unsubscribe from linuxppc-dev, send ]]
[[ the message 'unsubscribe' to [email-masked] ]]